Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.mappers.svd

Singular-value decomposition mapper

Functions

`accepts_dataset_as_samples`(fx) | Decorator to extract samples from Datasets.
`borrowdoc`(cls[, methodname]) | Return a decorator to borrow docstring from another `cls`.`methodname` It should not be used for __init__ methods of classes derived from ClassWithCollections since __doc__’s of those are handled by the AttributeCollector anyways.

Classes

`ElementSelector`([mode]) | Base class to implement functors to select some elements based on a sequence of values.
`ProjectionMapper`([demean]) | Linear mapping between multidimensional spaces.
`SVDMapper`(**kwargs) | Mapper to project data onto SVD components estimated from some dataset.

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »